io.vertx.reactivex.ext.auth.jdbc

## Class JDBCUserUtil

- java.lang.Object
- - io.vertx.reactivex.ext.auth.jdbc.JDBCUserUtil

-     public class JDBCUserUtil
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCUserUtil>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCUserUtil(JDBCUserUtil delegate)`
    `JDBCUserUtil(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCUserUtil` | `create(JDBCClient client)` Deprecated.
    `static JDBCUserUtil` | `create(JDBCClient client, String insertUserSQL, String insertUserRoleSQL, String insertRolePermissionSQL)` Deprecated.
    `JDBCUserUtil` | `createHashedUser(String username, String hash)` Deprecated.
    `JDBCUserUtil` | `createHashedUser(String username, String hash, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `JDBCUserUtil` | `createRolePermission(String role, String permission)` Deprecated.
    `JDBCUserUtil` | `createRolePermission(String role, String permission, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `JDBCUserUtil` | `createUser(String username, String password)` Deprecated.
    `JDBCUserUtil` | `createUser(String username, String password, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `JDBCUserUtil` | `createUserRole(String username, String role)` Deprecated.
    `JDBCUserUtil` | `createUserRole(String username, String role, Handler<AsyncResult<Void>> resultHandler)` Deprecated.
    `boolean` | `equals(Object o)`
    `JDBCUserUtil` | `getDelegate()`
    `int` | `hashCode()`
    `static JDBCUserUtil` | `newInstance(JDBCUserUtil arg)`
    `Completable` | `rxCreateHashedUser(String username, String hash)` Deprecated.
    `Completable` | `rxCreateRolePermission(String role, String permission)` Deprecated.
    `Completable` | `rxCreateUser(String username, String password)` Deprecated.
    `Completable` | `rxCreateUserRole(String username, String role)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCUserUtil> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCUserUtil

          public JDBCUserUtil(JDBCUserUtil delegate)

    - #### JDBCUserUtil

          public JDBCUserUtil(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JDBCUserUtil getDelegate()

    - #### create

          @Deprecated
          public static JDBCUserUtil create(JDBCClient client)

      Deprecated.
      Create an instance of the user helper.
      Parameters:
        `client` - the client with write rights to the database.
      Returns:
        the instance

    - #### create

          @Deprecated
          public static JDBCUserUtil create(JDBCClient client,
                                                        String insertUserSQL,
                                                        String insertUserRoleSQL,
                                                        String insertRolePermissionSQL)

      Deprecated.
      Create an instance of the user helper with custom queries.
      Parameters:
        `client` - the client with write rights to the database.
        `insertUserSQL` -
        `insertUserRoleSQL` -
        `insertRolePermissionSQL` -
      Returns:
        the instance

    - #### createUser

          @Deprecated
          public JDBCUserUtil createUser(String username,
                                                     String password,
                                                     Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `password` - the passsword in clear text, will be adapted following the definitions of the defined strategy
        `resultHandler` - the ResultHandler will be provided with the result of the operation
      Returns:
        fluent self

    - #### createUser

          @Deprecated
          public JDBCUserUtil createUser(String username,
                                                     String password)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `password` - the passsword in clear text, will be adapted following the definitions of the defined strategy
      Returns:
        fluent self

    - #### rxCreateUser

          @Deprecated
          public Completable rxCreateUser(String username,
                                                      String password)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `password` - the passsword in clear text, will be adapted following the definitions of the defined strategy
      Returns:
        fluent self

    - #### createHashedUser

          @Deprecated
          public JDBCUserUtil createHashedUser(String username,
                                                           String hash,
                                                           Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `hash` - the password hash, as result of `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
        `resultHandler` - the ResultHandler will be provided with the result of the operation
      Returns:
        fluent self

    - #### createHashedUser

          @Deprecated
          public JDBCUserUtil createHashedUser(String username,
                                                           String hash)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `hash` - the password hash, as result of `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Returns:
        fluent self

    - #### rxCreateHashedUser

          @Deprecated
          public Completable rxCreateHashedUser(String username,
                                                            String hash)

      Deprecated.
      Insert a user into a database.
      Parameters:
        `username` - the username to be set
        `hash` - the password hash, as result of `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Returns:
        fluent self

    - #### createUserRole

          @Deprecated
          public JDBCUserUtil createUserRole(String username,
                                                         String role,
                                                         Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Insert a user role into a database.
      Parameters:
        `username` - the username to be set
        `role` - a to be set
        `resultHandler` - the ResultHandler will be provided with the result of the operation
      Returns:
        fluent self

    - #### createUserRole

          @Deprecated
          public JDBCUserUtil createUserRole(String username,
                                                         String role)

      Deprecated.
      Insert a user role into a database.
      Parameters:
        `username` - the username to be set
        `role` - a to be set
      Returns:
        fluent self

    - #### rxCreateUserRole

          @Deprecated
          public Completable rxCreateUserRole(String username,
                                                          String role)

      Deprecated.
      Insert a user role into a database.
      Parameters:
        `username` - the username to be set
        `role` - a to be set
      Returns:
        fluent self

    - #### createRolePermission

          @Deprecated
          public JDBCUserUtil createRolePermission(String role,
                                                               String permission,
                                                               Handler<AsyncResult<Void>> resultHandler)

      Deprecated.
      Insert a role permission into a database.
      Parameters:
        `role` - a to be set
        `permission` - the permission to be set
        `resultHandler` - the ResultHandler will be provided with the result of the operation
      Returns:
        fluent self

    - #### createRolePermission

          @Deprecated
          public JDBCUserUtil createRolePermission(String role,
                                                               String permission)

      Deprecated.
      Insert a role permission into a database.
      Parameters:
        `role` - a to be set
        `permission` - the permission to be set
      Returns:
        fluent self

    - #### rxCreateRolePermission

          @Deprecated
          public Completable rxCreateRolePermission(String role,
                                                                String permission)

      Deprecated.
      Insert a role permission into a database.
      Parameters:
        `role` - a to be set
        `permission` - the permission to be set
      Returns:
        fluent self

    - #### newInstance

          public static JDBCUserUtil newInstance(JDBCUserUtil arg)

Copyright © 2024 Eclipse. All rights reserved.